package holiday

import (
	"github.com/google/uuid"
	"time"
)

type Holiday struct {
	Id                 uuid.UUID `db:"id"`
	Country            string    `db:"country"`
	Date               time.Time `db:"date"`
	Name               string    `db:"name"`
	Description        string    `db:"description"`
	IsStateHoliday     bool      `db:"is_state"`
	IsReligiousHoliday bool      `db:"is_religious"`
}

type Paging struct {
	PageSize int
	Page     int
}

type Search struct {
	Country          string
	Year             *int
	Date             *time.Time
	RangeStart       *time.Time
	RangeEnd         *time.Time
	StateHoliday     *bool
	ReligiousHoliday *bool
}
